Subject: Re: [RFC PATCH net-next] qfq: handle the case that front slot is empty

From: Cong Wang <[email-masked]>
Date: Tue, 23 Oct 2012 16:53:52 +0800

On Tue, 2012-10-23 at 09:09 +0200, Paolo Valente wrote:
> The crash you reported is one of the problems I tried to solve with my last fixes.
> After those fixes I could not reproduce this crash (and other crashes) any more, but of course I am still missing something.

I am using the latest net-next, so if your patches are in net-next,
then the problem of course still exists.

> 
> Il giorno 23/ott/2012, alle ore 06:15, Cong Wang ha scritto:
> 
> > I am not sure if this patch fixes the real problem or just workarounds
> > it. At least, after this patch I don't see the crash I reported any more.
> 
> It is actually a workaround: if the condition that triggers your workaround holds true, then the group data structure is already inconstent, and qfq is likely not to schedule classes correctly.
> I will try to reproduce the crash with the steps you suggest, and try to understand what is still wrong as soon as I can.
> 

OK, I don't pretend I understand qfq. And I can help you to test
patches.

Thanks!